Skip to main content
GET
/
partners
/
businesses
/
{id}
Retrieve a partner business referral
curl --request GET \
  --url https://api.whop.com/api/v1/partners/businesses/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.whop.com/api/v1/partners/businesses/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.whop.com/api/v1/partners/businesses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "account": {
    "capabilities": {
      "accept_bank_payments": "active",
      "accept_bnpl_payments": "active",
      "accept_card_payments": "active",
      "bank_deposit": "active",
      "card_deposit": "active",
      "card_issuing": "active",
      "crypto_deposit": "active",
      "crypto_payout": "active",
      "instant_payout": "active",
      "standard_payout": "active",
      "transfer": "active"
    },
    "id": "<string>",
    "logo_url": "<string>",
    "recommended_actions": [
      {
        "action": "theme_business",
        "blocked_capabilities": [
          "<string>"
        ],
        "cta": "<string>",
        "cta_label": "<string>",
        "description": "<string>",
        "icon_url": "<string>",
        "impact_score": 123,
        "reasoning": "<string>",
        "status": "optional",
        "title": "<string>"
      }
    ],
    "required_actions": [
      {
        "action": "deposit_funds",
        "blocked_capabilities": [
          "<string>"
        ],
        "cta": "<string>",
        "cta_label": "<string>",
        "description": "<string>",
        "icon_url": "<string>",
        "status": "required",
        "title": "<string>"
      }
    ],
    "route": "<string>",
    "title": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "earnings_usd": {
    "completed": "<string>",
    "pending": "<string>",
    "total": "<string>"
  },
  "first_tier_partner": {
    "id": "<string>",
    "name": "<string>",
    "profile_picture": {
      "url": "<string>"
    },
    "username": "<string>"
  },
  "id": "<string>",
  "object": "business_referral",
  "owner": {
    "id": "<string>",
    "name": "<string>",
    "profile_picture": {
      "url": "<string>"
    },
    "username": "<string>"
  },
  "payout_percentage": 123,
  "referral_expires_at": "2023-11-07T05:31:56Z",
  "referral_started_at": "2023-11-07T05:31:56Z",
  "volume_usd": {
    "attributed": "<string>",
    "awaiting_settlement": "<string>",
    "settled": "<string>"
  }
}
{
"error": {
"message": "<string>",
"type": "<string>"
}
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-07-08-1"

Path Parameters

id
string
required

The business referral ID (a coma_ identifier).

Response

business referral retrieved

account
object | null
required

Referred account.

created_at
string<date-time>
required

When the business referral was created.

earnings_usd
object
required
first_tier_partner
object | null
required

The partner who referred the business owner onto Whop (first tier). Null if there is no active first-tier partner.

id
string
required

Business referral ID.

my_partner_tier
enum<string>
required

Which tier the caller earns on for this business: first (they referred the owner) or second (they referred the first-tier partner).

Available options:
first,
second
object
enum<string>
required
Available options:
business_referral
owner
object | null
required

The owner of the referred business.

payout_percentage
number<float>
required

Referrer's share of Whop gross profit, as a fraction (0.3 = 30%). Second-tier referrals earn a flat 0.1.

referral_expires_at
string<date-time> | null
required

When the referral expires.

referral_started_at
string<date-time> | null
required

When the referral became active.

status
enum<string>
required

Current referral status.

Available options:
active,
removed
volume_usd
object
required